# Update a locale

Updates an existing locale.

Endpoint: PATCH /v1/locales/{localeUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `localeUuid` (string, required)
    The unique identifier of the locale to update.

## Request fields (application/json):

  - `displayName` (string,null)
    Updated display name for the locale.

  - `code` (string,null)
    Updated ISO language or locale code.

  - `isDefault` (boolean,null)
    Updated default status for this locale.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this locale.

  - `createdAt` (string, required)
    Timestamp when this locale was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this locale was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this locale was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of a locale.
    Enum: "draft", "active", "inactive", "removed"

  - `displayName` (string, required)
    Display name for this locale.

  - `code` (string, required)
    ISO language or locale code.

  - `isDefault` (boolean, required)
    Whether this is the default locale for the tenant.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


